Bug 1090051 - Rotation of boinc log file fails to restart boinc-client process to pick up new log file
Summary: Rotation of boinc log file fails to restart boinc-client process to pick up n...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: boinc-client
Version: 22
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1339002
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-22 13:14 UTC by Charles Dennett
Modified: 2016-07-19 19:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 19:29:31 UTC


Attachments (Terms of Use)
/etc/logrotate.d/boinc-client (123 bytes, text/plain)
2016-01-29 13:18 UTC, DaveG
no flags Details

Description Charles Dennett 2014-04-22 13:14:49 UTC
Description of problem:  Rotation via logrotate of boinc log files fails to restart boinc-client in order to pick up new log file.  Logging continues to old log file.


Version-Release number of selected component (if applicable):  boinc-client-7.2.42-1.gitdd0d630.fc20.x86_64 although problem also existed in previous verions.


How reproducible:  Always happens


Steps to Reproduce:
1.Run boinc-client for a while to allow log records to appear in /var/log/boinc.log
2.Run logrotate

Actual results:  Note that after running logrotate original log file is now named /var/log/boinc.log-<DATE>. New empty log file created as /var/log/boinc.log.  Logging continues to /var/log/boinc.log-<DATE>.  Similar for /var/log/boincerr.log


Expected results: After rotation writing should stop to rotated log file and start in new log file.


Additional info:  /etc/logrotate.d/boinc-client performs rotation of log files.  It also looks for the file /var/lib/boinc/lockfile to determine if boinc-client is running and if so, it restarts boinc-client so it can close rotated log files and start writing to new log files.  Such a lockfile does not exist.  Cannot find any such related lockfile anywhere.  Unknown if the boinc-client process is supposed to create it or if it should be created by /usr/lib/systemd/system/boinc-client.service.

Comment 1 Charles Dennett 2014-04-22 17:25:40 UTC
Discovered that the use of the option --allow_multiple_clients in /usr/bin/boinc causes boinc-client not to create the lockfile.  boinc-client seems to run ok without it.  Is it really needed/

Comment 2 Charles Dennett 2015-01-19 12:12:45 UTC
Problem continues to exist in Fedora 21

Comment 3 Charles Dennett 2015-07-07 23:20:02 UTC
Problem continues to exist if Fedora 22

Comment 4 Tom Chiverton 2015-08-28 14:41:19 UTC
Still in my FC21 too

Comment 5 Fedora Admin XMLRPC Client 2015-09-30 19:25:38 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Admin XMLRPC Client 2015-10-01 08:11:23 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 DaveG 2016-01-29 13:16:50 UTC
The BOINC client does not have a facility to close/reopen it's log files.

The current log rotation script attempts to re-start the service but relies on initscripts service lock files that are not created by the systemd unit.

The result is that there is no effective log rotation.

Re-starting the BOINC client can cause problems with some projects and risks losing results in long-running models.

The fall-back solution (that I have used for a few months now) is to rotate the log files with copy/truncate and allow the client to keep running. The log files are simply the redirected standard error and output of the process.

There is a *small* risk of losing log output during the copy/truncate but I consider that preferable to uncontrolled file growth.

My working log rotation script is attached.

Comment 8 DaveG 2016-01-29 13:18:10 UTC
Created attachment 1119432 [details]
/etc/logrotate.d/boinc-client

Comment 9 Fedora Update System 2016-02-25 10:22:43 UTC
boinc-client-7.6.22-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-89ece19b35

Comment 10 Fedora Update System 2016-02-25 10:22:44 UTC
boinc-client-7.6.22-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-268bdbd1df

Comment 11 Fedora Update System 2016-02-25 10:23:19 UTC
boinc-client-7.6.22-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e698a1a52

Comment 12 Fedora Update System 2016-02-26 20:52:38 UTC
boinc-client-7.6.22-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e698a1a52

Comment 13 Fedora Update System 2016-02-26 20:53:45 UTC
boinc-client-7.6.22-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-89ece19b35

Comment 14 Fedora Update System 2016-02-27 02:20:41 UTC
boinc-client-7.6.22-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-268bdbd1df

Comment 15 Fedora End Of Life 2016-07-19 19:29:31 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.